package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type MobilesealLoginReportBizResultRequest struct {
	// 【本次登录任务id】本次登录任务id
	LoginSid string `json:"loginSid"`
	// 【成功/失败】成功/失败 【传参】 取值范围：true（成功），false（失败）
	LoginResult *bool `json:"loginResult"`
	// 【失败原因】失败原因 【传参】 1.登录失败后可传入，辅助扫码用户查看对应失败原因； 2.成功时传入不生效
	FailReason string `json:"failReason"`
}

func (obj MobilesealLoginReportBizResultRequest) GetUrl() string {
	return "/mobileseal/login/report/biz/result"
}

func (obj MobilesealLoginReportBizResultRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
